Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface InheritanceMetadata

All Superinterfaces:
  Metadata

    public interface InheritanceMetadata

extends Metadata

Represents the inheritance of a class.

Since:
  3.0

Method Summary
`java.lang.String` | `getCustomStrategy()` Accessor for the custom inheritance (overriding "strategy").
`DiscriminatorMetadata` | `getDiscriminatorMetadata()` Accessor for the discriminator (if any).
`JoinMetadata` | `getJoinMetadata()` Accessor for the join (if any).
`InheritanceStrategy` | `getStrategy()` Accessor for the inheritance strategy.
`DiscriminatorMetadata` | `newDiscriminatorMetadata()` Method to define the new discriminator metadata.
`JoinMetadata` | `newJoinMetadata()` Method to define the new join information
`InheritanceMetadata` | `setCustomStrategy(java.lang.String strategy)` Method to set the custom inheritance strategy.
`InheritanceMetadata` | `setStrategy(InheritanceStrategy strategy)` Method to set the inheritance strategy.

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setStrategy

    InheritanceMetadata setStrategy(InheritanceStrategy strategy)

  Method to set the inheritance strategy.

  Parameters:
    `strategy` - The strategy

### getStrategy

    InheritanceStrategy getStrategy()

  Accessor for the inheritance strategy.

  Returns:
    The strategy

### setCustomStrategy

    InheritanceMetadata setCustomStrategy(java.lang.String strategy)

  Method to set the custom inheritance strategy.

  Parameters:
    `strategy` - The strategy

### getCustomStrategy

    java.lang.String getCustomStrategy()

  Accessor for the custom inheritance (overriding "strategy").

  Returns:
    The strategy

### newDiscriminatorMetadata

    DiscriminatorMetadata newDiscriminatorMetadata()

  Method to define the new discriminator metadata.

  Returns:
    The DiscriminatorMetadata

### getDiscriminatorMetadata

    DiscriminatorMetadata getDiscriminatorMetadata()

  Accessor for the discriminator (if any).

  Returns:
    Discriminator

### newJoinMetadata

    JoinMetadata newJoinMetadata()

  Method to define the new join information

  Returns:
    The JoinMetadata

### getJoinMetadata

    JoinMetadata getJoinMetadata()

  Accessor for the join (if any).

  Returns:
    Join information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.